Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/processpb.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/processpb.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/processpb.xsl	(revision 2397)
@@ -1,164 +1,157 @@
 <?xml version="1.0" encoding="utf-8"?>
 <xsl:stylesheet xmlns="http://www.tei-c.org/ns/1.0"
-		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-		xpath-default-namespace="http://www.tei-c.org/ns/1.0"
-		version="2.0">
-<!--
-This software is dual-licensed:
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
+	<!-- This software is dual-licensed: 1. Distributed under a Creative Commons 
+		Attribution-ShareAlike 3.0 Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+		2. http://www.opensource.org/licenses/BSD-2-Clause All rights reserved. Redistribution 
+		and use in source and binary forms, with or without modification, are permitted 
+		provided that the following conditions are met: * Redistributions of source 
+		code must retain the above copyright notice, this list of conditions and 
+		the following disclaimer. * Redistributions in binary form must reproduce 
+		the above copyright notice, this list of conditions and the following disclaimer 
+		in the documentation and/or other materials provided with the distribution. 
+		This software is provided by the copyright holders and contributors "as is" 
+		and any express or implied warranties, including, but not limited to, the 
+		implied warranties of merchantability and fitness for a particular purpose 
+		are disclaimed. In no event shall the copyright holder or contributors be 
+		liable for any direct, indirect, incidental, special, exemplary, or consequential 
+		damages (including, but not limited to, procurement of substitute goods or 
+		services; loss of use, data, or profits; or business interruption) however 
+		caused and on any theory of liability, whether in contract, strict liability, 
+		or tort (including negligence or otherwise) arising in any way out of the 
+		use of this software, even if advised of the possibility of such damage. 
+		$Id: processpb.xsl 9646 2011-11-05 23:39:08Z rahtz $ Take an arbitrary TEI 
+		file and move page breaks (<pb>) up in the hierarchy, splitting containers 
+		as needed, until <pb>s are at the same level as <div>. Wrap the resulting 
+		pages on <page> element. -->
+	<xsl:output indent="yes" />
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+	<xsl:template match="teiHeader">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+	<xsl:template match="TEI|teiCorpus|group">
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:apply-templates
+				select="*|processing-instruction()|comment()|text()" />
+		</xsl:copy>
+	</xsl:template>
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+	<xsl:template match="text|body|back|front">
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:variable name="pages">
+				<xsl:apply-templates
+					select="*|processing-instruction()|comment()|text()" />
+			</xsl:variable>
+			<xsl:for-each select="$pages">
+				<xsl:apply-templates
+					select="*|processing-instruction()|comment()|text()" mode="pass2" />
+			</xsl:for-each>
+		</xsl:copy>
+	</xsl:template>
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+	<!-- first (recursive) pass. look for <pb> elements and group on them -->
+	<xsl:template
+		match="comment()|@*|processing-instruction()|text()">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
+	<xsl:template match="*">
+		<xsl:call-template name="checkpb">
+			<xsl:with-param name="eName" select="local-name()" />
+		</xsl:call-template>
+	</xsl:template>
 
-     $Id: processpb.xsl 9646 2011-11-05 23:39:08Z rahtz $
+	<xsl:template match="pb">
+		<pb>
+			<xsl:copy-of select="@*" />
+		</pb>
+	</xsl:template>
 
-    Take an arbitrary TEI file and move page breaks (<pb>) up in the
-    hierarchy, splitting containers as needed, until <pb>s are at the
-    same level as <div>. Wrap the resulting pages on <page> element.
--->
-  <xsl:output indent="yes"/>
+	<xsl:template name="checkpb">
+		<xsl:param name="eName" />
+		<xsl:choose>
+			<xsl:when test="not(.//pb)">
+				<xsl:copy>
+					<xsl:apply-templates select="@*" />
+					<xsl:apply-templates
+						select="*|processing-instruction()|comment()|text()" />
+				</xsl:copy>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:variable name="pass">
+					<xsl:call-template name="groupbypb">
+						<xsl:with-param name="Name" select="$eName" />
+					</xsl:call-template>
+				</xsl:variable>
+				<xsl:for-each select="$pass">
+					<xsl:apply-templates />
+				</xsl:for-each>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
-  <xsl:template match="teiHeader">
-    <xsl:copy-of select="."/>
-  </xsl:template>
+	<xsl:template name="groupbypb">
+		<xsl:param name="Name" />
+		<xsl:for-each-group select="node()"
+			group-starting-with="pb">
+			<xsl:choose>
+				<xsl:when test="self::pb">
+					<xsl:copy-of select="." />
+					<xsl:element name="{$Name}">
+						<xsl:attribute name="rend">CONTINUED</xsl:attribute>
+						<xsl:apply-templates
+							select="current-group() except ." />
+					</xsl:element>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:element name="{$Name}">
+						<xsl:for-each select="..">
+							<xsl:copy-of select="@*" />
+							<xsl:apply-templates select="current-group()" />
+						</xsl:for-each>
+					</xsl:element>
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:for-each-group>
+	</xsl:template>
 
-  <xsl:template match="TEI|teiCorpus|group">
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:apply-templates select="*|processing-instruction()|comment()|text()"/>
-    </xsl:copy>
-  </xsl:template>
+	<!-- second pass. group by <pb> (now all at top level) and wrap groups in 
+		<page> -->
+	<xsl:template match="*" mode="pass2">
+		<xsl:copy>
+			<xsl:apply-templates
+				select="@*|*|processing-instruction()|comment()|text()" mode="pass2" />
+		</xsl:copy>
+	</xsl:template>
 
-  <xsl:template match="text|body|back|front">
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:variable name="pages">
-        <xsl:apply-templates select="*|processing-instruction()|comment()|text()"/>
-      </xsl:variable>
-      <xsl:for-each select="$pages">
-        <xsl:apply-templates select="*|processing-instruction()|comment()|text()" mode="pass2"/>
-      </xsl:for-each>
-    </xsl:copy>
-  </xsl:template>
+	<xsl:template match="*[pb]" mode="pass2">
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:for-each-group select="*"
+				group-starting-with="pb">
+				<xsl:choose>
+					<xsl:when test="self::pb">
+						<page xmlns="http://www.tei-c.org/ns/notTEI">
+							<xsl:copy-of select="@*" />
+							<xsl:copy-of select="current-group() except ." />
+						</page>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:copy-of select="current-group()" />
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each-group>
+		</xsl:copy>
+	</xsl:template>
 
+	<xsl:template
+		match="comment()|@*|processing-instruction()|text()" mode="pass2">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
- <!-- first (recursive) pass. look for <pb> elements and group on them -->
-  <xsl:template match="comment()|@*|processing-instruction()|text()">
-    <xsl:copy-of select="."/>
-  </xsl:template>
-
-  <xsl:template match="*">
-    <xsl:call-template name="checkpb">
-      <xsl:with-param name="eName" select="local-name()"/>
-    </xsl:call-template>
-  </xsl:template>
-
-  <xsl:template match="pb">
-    <pb>
-      <xsl:copy-of select="@*"/>
-    </pb>
-  </xsl:template>
-
-  <xsl:template name="checkpb">
-    <xsl:param name="eName"/>
-    <xsl:choose>
-      <xsl:when test="not(.//pb)">
-        <xsl:copy>
-          <xsl:apply-templates select="@*"/>
-          <xsl:apply-templates select="*|processing-instruction()|comment()|text()"/>
-        </xsl:copy>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:variable name="pass">
-          <xsl:call-template name="groupbypb">
-            <xsl:with-param name="Name" select="$eName"/>
-          </xsl:call-template>
-        </xsl:variable>
-        <xsl:for-each select="$pass">
-          <xsl:apply-templates/>
-        </xsl:for-each>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-
-  <xsl:template name="groupbypb">
-    <xsl:param name="Name"/>
-    <xsl:for-each-group select="node()" group-starting-with="pb">
-      <xsl:choose>
-        <xsl:when test="self::pb">
-          <xsl:copy-of select="."/>
-          <xsl:element name="{$Name}">
-	    <xsl:attribute name="rend">CONTINUED</xsl:attribute>
-            <xsl:apply-templates select="current-group() except ."/>
-          </xsl:element>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:element name="{$Name}">
-            <xsl:for-each select="..">
-              <xsl:copy-of select="@*"/>
-              <xsl:apply-templates select="current-group()"/>
-            </xsl:for-each>
-          </xsl:element>
-        </xsl:otherwise>
-      </xsl:choose>
-    </xsl:for-each-group>
-  </xsl:template>
-
-  <!-- second pass. group by <pb> (now all at top level) and wrap groups
-       in <page> -->
-  <xsl:template match="*" mode="pass2">
-    <xsl:copy>
-      <xsl:apply-templates select="@*|*|processing-instruction()|comment()|text()" mode="pass2"/>
-    </xsl:copy>
-  </xsl:template>
-
-  <xsl:template match="*[pb]" mode="pass2">
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:for-each-group select="*" group-starting-with="pb">
-        <xsl:choose>
-          <xsl:when test="self::pb">
-            <page xmlns="http://www.tei-c.org/ns/notTEI"> 
-              <xsl:copy-of select="@*"/>
-              <xsl:copy-of select="current-group() except ."/>
-            </page>
-          </xsl:when>
-          <xsl:otherwise>
-            <xsl:copy-of select="current-group()"/>
-          </xsl:otherwise>
-        </xsl:choose>
-      </xsl:for-each-group>
-    </xsl:copy>
-  </xsl:template>
-
-  <xsl:template match="comment()|@*|processing-instruction()|text()" mode="pass2">
-    <xsl:copy-of select="."/>
-  </xsl:template>
-
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/getfiles.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/getfiles.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/getfiles.xsl	(revision 2397)
@@ -1,104 +1,128 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:n="www.example.com" xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:xs="http://www.w3.org/2001/XMLSchema"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                version="2.0"
-                exclude-result-prefixes="n tei xs">
+<xsl:stylesheet xmlns:n="www.example.com"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
+	exclude-result-prefixes="n tei xs">
 
-  <xsl:param name="debug">false</xsl:param>
-  <xsl:param name="corpus"/>
-  <xsl:param name="suffix">xml</xsl:param>
-  <xsl:param name="corpusList"/>
-  <xsl:param name="processP4">false</xsl:param>
-  <xsl:param name="processP5">true</xsl:param>
-  <xsl:param name="verbose">false</xsl:param>
-  <xsl:key name="All" match="*" use="1"/>
-  <xsl:key name="AllTEI" match="tei:*" use="1"/>
-  <xsl:key name="E" match="*" use="local-name()"/>
+	<xsl:param name="debug">
+		false
+	</xsl:param>
+	<xsl:param name="corpus" />
+	<xsl:param name="suffix">
+		xml
+	</xsl:param>
+	<xsl:param name="corpusList" />
+	<xsl:param name="processP4">
+		false
+	</xsl:param>
+	<xsl:param name="processP5">
+		true
+	</xsl:param>
+	<xsl:param name="verbose">
+		false
+	</xsl:param>
+	<xsl:key name="All" match="*" use="1" />
+	<xsl:key name="AllTEI" match="tei:*" use="1" />
+	<xsl:key name="E" match="*" use="local-name()" />
 
-  <xsl:template name="main">
-      <xsl:variable name="pathlist">
-         <xsl:choose>
-	   <xsl:when test="$corpusList=''">
-	     <xsl:value-of select="concat($corpus,'?select=*.',$suffix,';recurse=yes;on-error=warning')"/>
-	   </xsl:when>
-	   <xsl:otherwise>
-	     <xsl:value-of select="$corpusList"/>
-	   </xsl:otherwise>
-         </xsl:choose>
-      </xsl:variable>
-      <xsl:if test="$debug='true'">
-	<xsl:message>Process <xsl:value-of select="$pathlist"/></xsl:message>
-      </xsl:if>
-      <xsl:variable name="docs" select="collection($pathlist)"/> 
-      <xsl:variable name="all">
-         <n:ROOT>
-	   <xsl:if test="$processP4='true'">
-	     <xsl:for-each select="$docs/TEI.2">
-	       <xsl:if test="$verbose='true'">
-		 <xsl:message>processing <xsl:value-of select="base-uri(.)"/>
-		 </xsl:message>
-	       </xsl:if>
-	       <TEI.2 xn="{base-uri(.)}">
-		 <xsl:apply-templates select="*|@*" mode="copy"/>
-	       </TEI.2>
-	     </xsl:for-each>
-	   </xsl:if>
-	   <xsl:if test="$processP5='true'">
-	     <xsl:for-each select="$docs/tei:*">
-	       <xsl:if test="$verbose='true'">
-		 <xsl:message>processing <xsl:value-of select="base-uri(.)"/>
-		 </xsl:message>
-	       </xsl:if>
-	       <tei:TEI xn="{base-uri(.)}">
-		 <xsl:apply-templates select="*|@*" mode="copy"/>
-	       </tei:TEI>
-	     </xsl:for-each>
-	     <xsl:for-each select="$docs/tei:teiCorpus">
-	       <xsl:if test="$verbose='true'">
-		 <xsl:message>processing <xsl:value-of select="base-uri(.)"/>
-		 </xsl:message>
-	       </xsl:if>
-	       <tei:teiCorpus xn="{base-uri(.)}">
-		 <xsl:copy-of select="@*|*"/>
-	       </tei:teiCorpus>
-	     </xsl:for-each>
-	   </xsl:if>
-         </n:ROOT>
-      </xsl:variable>
-      <xsl:for-each select="$all/*">
-	<xsl:call-template name="processAll"/>
-      </xsl:for-each>
-  </xsl:template>
+	<xsl:template name="main">
+		<xsl:variable name="pathlist">
+			<xsl:choose>
+				<xsl:when test="$corpusList=''">
+					<xsl:value-of
+						select="concat($corpus,'?select=*.',$suffix,';recurse=yes;on-error=warning')" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:value-of select="$corpusList" />
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<xsl:if test="$debug='true'">
+			<xsl:message>
+				Process
+				<xsl:value-of select="$pathlist" />
+			</xsl:message>
+		</xsl:if>
+		<xsl:variable name="docs" select="collection($pathlist)" />
+		<xsl:variable name="all">
+			<n:ROOT>
+				<xsl:if test="$processP4='true'">
+					<xsl:for-each select="$docs/TEI.2">
+						<xsl:if test="$verbose='true'">
+							<xsl:message>
+								processing
+								<xsl:value-of select="base-uri(.)" />
+							</xsl:message>
+						</xsl:if>
+						<TEI.2 xn="{base-uri(.)}">
+							<xsl:apply-templates select="*|@*"
+								mode="copy" />
+						</TEI.2>
+					</xsl:for-each>
+				</xsl:if>
+				<xsl:if test="$processP5='true'">
+					<xsl:for-each select="$docs/tei:*">
+						<xsl:if test="$verbose='true'">
+							<xsl:message>
+								processing
+								<xsl:value-of select="base-uri(.)" />
+							</xsl:message>
+						</xsl:if>
+						<tei:TEI xn="{base-uri(.)}">
+							<xsl:apply-templates select="*|@*"
+								mode="copy" />
+						</tei:TEI>
+					</xsl:for-each>
+					<xsl:for-each select="$docs/tei:teiCorpus">
+						<xsl:if test="$verbose='true'">
+							<xsl:message>
+								processing
+								<xsl:value-of select="base-uri(.)" />
+							</xsl:message>
+						</xsl:if>
+						<tei:teiCorpus xn="{base-uri(.)}">
+							<xsl:copy-of select="@*|*" />
+						</tei:teiCorpus>
+					</xsl:for-each>
+				</xsl:if>
+			</n:ROOT>
+		</xsl:variable>
+		<xsl:for-each select="$all/*">
+			<xsl:call-template name="processAll" />
+		</xsl:for-each>
+	</xsl:template>
 
-  <xsl:template name="processAll">
-      <html>
-         <body>
-	   <table border="1">
-	     <xsl:for-each-group select="key('All',1)" group-by="local-name()">
-	       <xsl:sort select="current-grouping-key()"/>
-	       <tr style="vertical-align:top;">
-		 <td> 
-		   <xsl:value-of select="current-grouping-key()"/>
-		 </td> 
-		 <td> 
-		   <xsl:value-of select="count(current-group())"/>
-		 </td> 
-	       </tr>
-	     </xsl:for-each-group>
-	   </table>
-         </body>
-      </html>
-  </xsl:template>
+	<xsl:template name="processAll">
+		<html>
+			<body>
+				<table border="1">
+					<xsl:for-each-group select="key('All',1)"
+						group-by="local-name()">
+						<xsl:sort select="current-grouping-key()" />
+						<tr style="vertical-align:top;">
+							<td>
+								<xsl:value-of select="current-grouping-key()" />
+							</td>
+							<td>
+								<xsl:value-of select="count(current-group())" />
+							</td>
+						</tr>
+					</xsl:for-each-group>
+				</table>
+			</body>
+		</html>
+	</xsl:template>
 
-  <xsl:template match="text()|@*" mode="copy">
-      <xsl:copy-of select="."/>
-  </xsl:template>
+	<xsl:template match="text()|@*" mode="copy">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
-  <xsl:template match="*" mode="copy">
-      <xsl:copy>
-         <xsl:apply-templates select="*|@*|text()" mode="copy"/>
-      </xsl:copy>
-  </xsl:template>
-  
+	<xsl:template match="*" mode="copy">
+		<xsl:copy>
+			<xsl:apply-templates select="*|@*|text()"
+				mode="copy" />
+		</xsl:copy>
+	</xsl:template>
+
 </xsl:stylesheet>
\ No newline at end of file
